Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "hubspot",
  "type": "HUBSPOT_TRIGGER_RECORD_DELETED",
  "parameters": {
    "recordType": "companies",
    "filterFormula": "field"
  }
}
Configuration options:
recordType
ENUM
required
Record type
  • Allowed values: companies, contacts, deals, Custom Object (<specified by objectName property>)
  • Options can be loaded by using the cacheAllObjectTypes key. Learn more in User Configuration.
Additional options when this parameter is set to <specified by objectName property>.
objectName
TEXTAREA
required
The Name of the Custom Object to create. Use Connect Portal Workflow Settings to allow users to select a Custom Object Mapping.
  • Example value: {{settings.objectType}}
filterFormula
CONDITIONAL
Only trigger on new records that match these filters.
  • Example value: field
  • Supported filter fields are loaded from cachedFields after selecting recordType.
  • Supported operators: $none, $stringExactlyMatches, $stringDoesNotExactlyMatch, $numberGreaterThan, $numberLessThan, $numberEquals, $numberDoesNotEqual, $dateTimeAfter, $dateTimeBefore, $dateTimeEquals, $exists, $doesNotExist